%define upstream_name HTML-Table
%define upstream_version 2.08a

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7
License:	GPL or Artistic
Group:		Development/Perl
Summary:	HTML::Table module for perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch

%description
HTML::Table is used to generate HTML tables for CGI scripts.  By using the
methods provided fairly complex tables can be created, manipulated, then
printed from Perl scripts.  The module also greatly simplifies creating
tables within tables from Perl.  It is possible to create an entire table
using the methods provided and never use an HTML tag.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/HTML/Table.pm
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.80.0a-7.mga10
+ Revision: 2199438
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.80.0a-6.mga9
+ Revision: 1803999
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.80.0a-5.mga8
+ Revision: 1494916
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.80.0a-4.mga7
+ Revision: 1268501
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.80.0a-3.mga6
+ Revision: 1028320
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.80.0a-2.mga6
+ Revision: 968794
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 2.80.0a-1.mga6
+ Revision: 855405
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 2.08a-6.mga5
+ Revision: 741732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.08a-5.mga5
+ Revision: 684966
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.08a-3.mga3
+ Revision: 368142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 2.08a-2.mga1
+ Revision: 11927
- imported package perl-HTML-Table


* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 2.08a-2mdv2010.0
+ Revision: 440581
- rebuild

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.08a-1mdv2009.1
+ Revision: 292166
- update to new version 2.08a

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.08-2mdv2009.0
+ Revision: 268523
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.08-1mdv2009.0
+ Revision: 194856
- update to new version 2.08
- update to new version 2.08

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.06-1mdv2008.0
+ Revision: 46623
- update to new version 2.06

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.05-1mdv2008.0
+ Revision: 20138
- 2.05


* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.04a-1mdv2007.0
+ Revision: 113848
- Import perl-HTML-Table

* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.04a-1mdv2007.1
- 2.04a

* Tue Dec 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.03-1mdk
- 2.03

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.02-1mdk
- initial Mandriva package

